%define anolis_release 1

Summary: A set of tools to gather troubleshooting information from a system
Name: sos
Version: 4.5.2
Release: %{anolis_release}%{?dist}
Source0: https://github.com/sosreport/sos/archive/%{version}.tar.gz
License: GPL-2.0-or-later
BuildArch: noarch
Url: https://github.com/sosreport/sos
BuildRequires: python3-devel python3-setuptools systemd-rpm-macros
Requires: python3-rpm python3-pexpect python3-requests python3-setuptools
Requires: tar xz
Requires: xz
Recommends: python3-magic python3-pyyaml
Obsoletes: sos-collector <= 1.9

%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install '--install-scripts=%{_sbindir}'

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 700 %{buildroot}%{_sysconfdir}/%{name}/cleaner
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/presets.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/groups.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/extras.d
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 tmpfiles/tmpfilesd-sos-rh.conf %{buildroot}%{_tmpfilesdir}/%{name}.conf

rm -rf %{buildroot}/usr/config/

%find_lang %{name} || echo 0

rm -f %{buildroot}%{_docdir}/%{name}/{AUTHORS,README.md}

%files
%{_sbindir}/sos
%{_sbindir}/sosreport
%{_sbindir}/sos-collector
%dir /etc/sos/cleaner
%dir /etc/sos/presets.d
%dir /etc/sos/extras.d
%dir /etc/sos/groups.d
%{_tmpfilesdir}/%{name}.conf
%{python3_sitelib}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%license LICENSE
%config(noreplace) %{_sysconfdir}/sos/sos.conf

%files doc
%doc AUTHORS README.md

%changelog
* Sun Apr 09 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.5.2-1
- init from upstream
